"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resize_observer_1 = require("@juggle/resize-observer");
class SizeWatcher {
    constructor(callback) {
        this.isObserved = false;
        this.sizeChangedCallback = callback;
        this.observer = new resize_observer_1.ResizeObserver((entries, observer) => {
            if (!this.isObserved) {
                this.isObserved = true;
            }
            else {
                clearTimeout(this.sizeWatcherTimeout);
                this.sizeWatcherTimeout = setTimeout(() => {
                    this.sizeChangedCallback();
                }, 16);
            }
        });
    }
    observe(actor) {
        if (!!actor.root)
            this.observer.observe(actor.root);
    }
    disconnect() {
        this.observer.disconnect();
        this.isObserved = false;
    }
}
exports.default = SizeWatcher;
