"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Spotlight_1 = require("../focus/Spotlight");
class SignBackground {
    constructor(preventClicks, clickCallback) {
        require("../style/background.css");
        this.root = document.createElement('DIV');
        this.root.classList.add('sign-background');
        if (preventClicks)
            this.root.addEventListener('click', () => clickCallback(Spotlight_1.default.instance));
        this.preventClicks = preventClicks;
        document.body.appendChild(this.root);
    }
    show() {
        if (this.preventClicks) {
            this.root.classList.add('sign-background-prevent');
        }
    }
    hide() {
        if (this.preventClicks) {
            this.root.classList.remove('sign-background-prevent');
        }
    }
}
exports.SignBackground = SignBackground;
